Fetch a list of signers provided by an FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/onChainSignersByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/onChainSignersByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/onChainSignersByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "EVENT_TYPE_SIGNER",
"chainId": 123,
"blockNumber": 123,
"blockHash": "0x75fbbb8b2a4ede67ac350e1b0503c6a152c0091bd8e3ef4a6927d58e088eae28",
"blockTimestamp": 123,
"transactionHash": "0x36ef79e6c460e6ae251908be13116ff0065960adb1ae032b4cc65a8352f28952",
"logIndex": 123,
"txIndex": 123,
"fid": 123,
"signerEventBody": {
"key": "<string>",
"keyType": 123,
"eventType": "SIGNER_EVENT_TYPE_ADD",
"metadata": "aSDinaTvuI8gbWludGxpZnk=",
"metadataType": 123
}
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}OnChainEvents
Fetch a list of signers provided by an FID
Note: one of two different response schemas is returned based on whether the caller provides the signer parameter. If included, a single OnChainEventSigner message is returned (or a not_found error). If omitted, a non-paginated list of OnChainEventSigner messages is returned instead.
GET
/
v1
/
onChainSignersByFid
Fetch a list of signers provided by an FID
Authorizations
API key to authorize requests
Query Parameters
The FID being requested
The optional key of signer
Response
A successful response.
- Option 1
- Option 2
Example:
"EVENT_TYPE_SIGNER"
Example:
"0x75fbbb8b2a4ede67ac350e1b0503c6a152c0091bd8e3ef4a6927d58e088eae28"
Example:
"0x36ef79e6c460e6ae251908be13116ff0065960adb1ae032b4cc65a8352f28952"
Show child attributes
Show child attributes
Was this page helpful?